// termino.h - Declaración de la clase CTermino
//
#if !defined( _TERMINO_H_ )
#define _TERMINO_H_

/////////////////////////////////////////////////////////////////
// Clase para manipular un término de un polinomio dependiente
// de las variables x e y.
class CTermino
{
  protected: 
    float Coeficiente; // coeficiente
    int ExponenteDeX;  // exponente de x
    int ExponenteDeY;  // exponente de y

	public:
    CTermino(float coef = 0.0, int expx = 1, int expy = 1);
    void AsignarCoeficiente(float);
    float ObtenerCoeficiente() const;
    void AsignarExponenteDeX(int);
    int ObtenerExponenteDeX() const;
    void AsignarExponenteDeY(int);
    int ObtenerExponenteDeY() const;
    void VisualizarTermino();
};                        
//////////////////////////////////////////////////////////////////

#endif // _TERMINO_H_

